# lugins/osg/StateSet.cpp File Reference

`#include <osg/StateSet>`
`#include <osg/Texture2D>`
`#include <osg/TextureCubeMap>`
`#include <osg/TextureRectangle>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`
`#include <set>`

Include dependency graph for lugins/osg/StateSet.cpp:

## Defines

#define | ADD_NAME(name, mode) s_GLNameToGLModeMap[name]=mode; s_GLModeToGLNameMap[mode]=name;

## Typedefs

typedef std::map< std::string, StateAttribute::GLMode > | GLNameToGLModeMap
typedef std::map< StateAttribute::GLMode, std::string > | GLModeToGLNameMap
typedef std::set< StateAttribute::GLMode > | TextureGLModeSet

## Functions

bool | GeoState_readLocalData (Object &obj, Input &fr)
bool | StateSet_readLocalData (Object &obj, Input &fr)
bool | StateSet_writeLocalData (const Object &obj, Output &fw)
bool | StateSet_matchModeStr (const char *str, StateAttribute::GLModeValue &mode)
const char * | StateSet_getModeStr (StateAttribute::GLModeValue mode)
bool | StateSet_matchRenderBinModeStr (const char *str, StateSet::RenderBinMode &mode)
const char * | StateSet_getRenderBinModeStr (StateSet::RenderBinMode mode)
void | initGLNames ()
template<class T>
T | mymax (const T &a, const T &b)

## Variables

RegisterDotOsgWrapperProxy | g_StateSetFuncProxy (new osg::StateSet,"StateSet","Object StateSet",&StateSet_readLocalData,&StateSet_writeLocalData, DotOsgWrapper::READ_AND_WRITE)
RegisterDotOsgWrapperProxy | g_GeoStateFuncProxy (new osg::StateSet,"GeoState","Object GeoState",&GeoState_readLocalData, NULL, DotOsgWrapper::READ_ONLY)
GLNameToGLModeMap | s_GLNameToGLModeMap
GLModeToGLNameMap | s_GLModeToGLNameMap
TextureGLModeSet | s_TextureGLModeSet

## Define Documentation

#define ADD_NAME | ( | name,
|  | mode |  | ) | s_GLNameToGLModeMap[name]=mode; s_GLModeToGLNameMap[mode]=name;

## Typedef Documentation

typedef std::map<StateAttribute::GLMode,std::string> GLModeToGLNameMap

typedef std::map<std::string,StateAttribute::GLMode> GLNameToGLModeMap

typedef std::set<StateAttribute::GLMode> TextureGLModeSet

## Function Documentation

bool GeoState_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

void initGLNames | ( |  | ) |

template<class T>
T mymax | ( | const T & | a,
|  | const T & | b
| ) |

const char * StateSet_getModeStr | ( | StateAttribute::GLModeValue | mode | ) |

const char * StateSet_getRenderBinModeStr | ( | StateSet::RenderBinMode | mode | ) |

bool StateSet_matchModeStr | ( | const char * | str,
|  | StateAttribute::GLModeValue & | mode
| ) |

bool StateSet_matchRenderBinModeStr | ( | const char * | str,
|  | StateSet::RenderBinMode & | mode
| ) |

bool StateSet_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool StateSet_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_GeoStateFuncProxy(new osg::StateSet,"GeoState","Object GeoState",&GeoState_readLocalData, NULL, DotOsgWrapper::READ_ONLY)

RegisterDotOsgWrapperProxy g_StateSetFuncProxy(new osg::StateSet,"StateSet","Object StateSet",&StateSet_readLocalData,&StateSet_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

GLModeToGLNameMap s_GLModeToGLNameMap

GLNameToGLModeMap s_GLNameToGLModeMap

TextureGLModeSet s_TextureGLModeSet